#### Vuepress快速上手

##### 项目搭建
```yarn global add vuepress ```或```npm install -g vuepress```
##### 新建一个markdown文件
```echo "# Hello VuePress!" > README.md```
##### 运行
```vuepress dev .```
> 需要注意的是，需要进入到README.md文件所在目录再运行命令

<!-- ##### 新建package.json文件，并且设置命令脚本
```JavaScript
{
    "scripts": {
        "start": "vuepress dev docs",
        "build": "vuepress build docs"
    }
}
``` -->

#### 静态配置
##### 配置文件
首先在你的文档目录下创建一个 `.vuepress` 目录，所有 VuePress 相关的文件都将会被放在这里。
```javascript
.
├─ docs
│  ├─ README.md
│  └─ .vuepress
│     └─ config.js
└─ package.json
```

> 目录统一后，进入README.md文件所在目录，运行`vuepress dev .`

##### `config.js`中简单配置
```javascript
module.exports = {
  title: 'Hello VuePress',
  description: 'Just playing around'
}
```
它包含一个页头，里面包含一个标题和一个搜索框。VuePress 内置了基于 headers 的搜索 —— 它会自动为所有页面的标题、h2 和 h3 构建起一个简单的搜索索引。
> 你也可以使用 YAML (.vuepress/config.yml) 或是 TOML (.vuepress/config.toml) 格式的配置文件
#### 主题配置
在 VuePress 中，目前自带了一个默认的主题（正是你现在所看到的），它是为技术文档而设计的。同时，默认主题提供了一些选项，让你可以去自定义导航栏（navbar）、 侧边栏（sidebar）和 首页（homepage） 等
#### 静态资源
##### 相对路径
所有的 Markdown 文件都会被 webpack 编译成 Vue 组件，因此你可以，并且应该更倾向于使用相对路径（Relative URLs）来引用所有的静态资源：
```markdown
![An image](./image.png)
```
这在 `*.vue` 文件的模板中一样可以工作，图片将会被 `url-loader` 和 `file-loader` 处理，在运行生成静态文件的构建任务时，文件会被复制到正确的位置。
你也使用` ~ `前缀来明确地指出这是一个 webpack 的模块请求，这将允许你通过 webpack 别名来引用文件或者 npm 的依赖：
```markdown
![Image from alias](~@alias/image.png)
![Image from dependency](~some-dependency/image.png)
```
Webpack 的别名可以通过 .vuepress/config.js 中 configureWebpack 来配置，如：
```javascript
module.exports = {
  configureWebpack: {
    resolve: {
      alias: {
        '@alias': 'path/to/some/dir'
      }
    }
  }
}
```